Pixxel

Download Insights

Creates a download package containing the specified input and output files from an insight

PUT/v0/aoi/{aoi_id}/insights/{insight_id}/download
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
aoiId
insight_idstringrequired
insightId
Request Body
inputsstring[]
Specifies which input assets to include in the download
outputsstring[]
Specifies which output assets to include in the download
Response
application/json
OK
idstring
Unique identifier of the insight
statusstring
Current status of the download operation
signed_urlstring
URL where the packaged assets can be downloaded from
Download Insights
1curl -X PUT 'https://api.pixxel.space/v0/aoi/{aoi_id}/insights/{insight_id}/download' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "inputs": [
6 "string"
7 ],
8 "outputs": [
9 "string"
10 ]
11}'
Response:
{
"id": "string",
"status": "string",
"signed_url": "string"
}